package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.ResourceAuth;
import com.lightinit.hsdataportal.entity.ResourceAuthExample;
import java.util.List;

import com.lightinit.hsdataportal.model.*;
import org.apache.ibatis.annotations.Param;

public interface ResourceAuthMapper {
    long countByExample(ResourceAuthExample example);

    int deleteByExample(ResourceAuthExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceAuth record);

    int insertSelective(ResourceAuth record);

    List<ResourceAuth> selectByExampleWithBLOBs(ResourceAuthExample example);

    List<ResourceAuth> selectByExample(ResourceAuthExample example);

    ResourceAuth selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceAuth record, @Param("example") ResourceAuthExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceAuth record, @Param("example") ResourceAuthExample example);

    int updateByExample(@Param("record") ResourceAuth record, @Param("example") ResourceAuthExample example);

    int updateByPrimaryKeySelective(ResourceAuth record);

    int updateByPrimaryKeyWithBLOBs(ResourceAuth record);

    int updateByPrimaryKey(ResourceAuth record);

    List<MyAPIApplyListModel> applyList(MyAPIApplySearchModel myAPIApplySearchModel);

    long applyCount(MyAPIApplySearchModel myAPIApplySearchModel);

    List<MyMicroappApplyListModel> selectMicroappApplyList(MyMicroappApplySearchModel inputModel);

    long selectMicroappApplyCount(MyMicroappApplySearchModel inputModel);

    List<MyDataShareListModel> selectMyDataOpenListModel(ResourceAuthMapperDemo resourceAuthMapperDemo);

    List<MyDataShareListModel> selectMyDataShareListModel(ResourceAuthMapperDemo resourceAuthMapperDemo);

    List<ResourceAuth> selectResourceAuth(ResourceAuth resourceAuth);
}